function query = myalias(query)
% myalias  [Not a public function] Aliasing for model get and set functions.
%
% Backend IRIS function.
% No help provided.

% -IRIS Toolbox.
% -Copyright (c) 2007-2012 Jaromir Benes.

%**************************************************************************

% Alias fname, filename, file.
query = regexprep(query,'f(ile)?name','file');
% Alias dtrend, dtrends, dt.
query = regexprep(query,'dtrends?','dt');
% Alias ss, sstate, steadystate.
query = regexprep(query,'s(teady)?state','ss');
% Alias level, levels.
query = regexprep(query,'levels','level');
% Alias equation, equations, eqtn, eqtns.
query = regexprep(query,'eqtns?|equations?','eqtn');
% Alias label, labels.
query = regexprep(query,'labels','label');
% Alias link, links.
query = regexprep(query,'links','link');
% Alias ss_dt, ss+dt.
query = regexprep(query,'_','+');

end